Bug 196754 - OpenLDAP database becomes corrupt, possibly after hard reset
OpenLDAP database becomes corrupt, possibly after hard reset
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: openldap (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Safranek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-06-26 17:59 EDT by W. Michael Petullo
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: openldap-servers-2.3.30-2.fc6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-23 08:06:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Corrupt LDAP database (376.25 KB, application/gzip)
2006-06-26 18:03 EDT, W. Michael Petullo
no flags Details

  None (edit)
Description W. Michael Petullo 2006-06-26 17:59:44 EDT
Description of problem:
I have a system that runs slapd to provide LDAP to my network.  Occasionally, I
find that the LDAP database becomes corrupt.  This seems to happen after a hard
reset (i.e., a power failure.)  The system has SELinux enforcing its targeted
policy.

Version-Release number of selected component (if applicable):
openldap-servers-2.3.19-4

How reproducible:
Sometimes

Steps to Reproduce:
Perform a hard reset with the LDAP server running
  
Actual results:
# /etc/init.d/ldap start
Checking configuration files for slapd: bdb_db_open: unclean shutdown detected:
attempting recovery.
bdb_db_open: Warning - No DB_CONFIG file found in directory /var/lib/ldap: (2)
Expect poor performance for suffix dc=flyn,dc=org.
bdb_db_open: Recovery skipped in read-only mode. Run manual recovery if errors
are encountered.
bdb(dc=flyn,dc=org): PANIC: fatal region error detected; run recovery
bdb_db_open: Database cannot be opened, err -30974. Restore from backup!
bdb(dc=flyn,dc=org): DB_ENV->lock_id_free interface requires an environment
configured for the locking subsystem
backend_startup_one: bi_db_open failed! (-30974)
slap_startup failed (test would succeed using the -u switch)

[FAILED]
stale lock file may be present in /var/lib/ldap [WARNING]

Expected results:


Additional info:
Comment 1 W. Michael Petullo 2006-06-26 18:03:48 EDT
Created attachment 131573 [details]
Corrupt LDAP database

This is the corrupt database.  Restoring a previous, known good database allow
slapd to run.
Comment 2 Jan Safranek 2007-05-23 08:06:32 EDT
openldap-servers-2.3.30-2.fc6 has improved startup checks and recovery, but
sometimes it's simply not possible to fully recover the database automatically -
manual attention is needed.

Note You need to log in before you can comment on or make changes to this bug.